<?php
//var_dump($_SESSION);
    use PFBC\Form;
    use PFBC\Element;
    use PFBC\View;
    use PFBC\Validation;
    use documongo\MongoObject\Document;
    use documongo\MongoObject\DocumentType;

	require_once("lib/fconnect.php");
	$db = DBConnect::getInstance();

    require_once("lib/frole.php");
    $role = new Role();
	$role->isPageEnable($user->uuid);

	require_once("lib/fhighcharts.php");
	$chatrs = new HighCharts();

$out = array('head'=>'', 'body'=>'');
$heading = 'Выберите факультет';
$faculties = $db->colDocs->find(array('type'=>'faculty'));
$faculties_menu = '
<div class="form-group">
<form method="post" class="form-inline" action="">
<select class="form-control" name="faculty">';
foreach($faculties as $faculty){
	$faculties_menu .= '
	<option value="'.$faculty['uuid'].'">'.$faculty['title_ru'].'</option>';
	if(isset($_POST['faculty']) && $_POST['faculty']==$faculty['uuid']) {$what = array('type' => 'chair', 'parent' => $_POST['faculty']);
	$fchairs = $db->colDocs->find($what);
		foreach($fchairs as $fchair){
			$flist[$fchair['title_ru']] = true;
		}	
	}
}
$faculties_menu .='
</select>
<input class="btn btn-default" type="submit" value="Смотреть!">
</form>
</div>';
if(isset($_POST['faculty'])){ 
	#Faculty selected
	$what = array('type' => 'chair', 'parent' => $_POST['faculty']);
	$chairCount = $db->colDocs->count($what);
	if($chairCount>0)
	{ 
		$plotcolor = '#666';
		$plotheight = 200 + 60*$chairCount.'px';
		$chairs = $db->colDocs->find($what);
		$items = $db->colModel->findOne( array('name'=>'chair'))['items'];

		foreach($items as $item){
			if(isset($item['pdf']) && $item['pdf']){
				switch($item['type']){
					case 'section':
						
						$current_section_name = $item['name'];
						$result[$current_section_name]['title'] = $item['label_ru'];
						$result[$current_section_name]['data'][0]['name'] = 'Название кафедры';					
					break;
					case 'subsection':
						$current_subsection_label = $item['label_ru'];
					break;
					default:
						$result[$current_section_name]['data'][0][$item['name']] = $item['index_code_ru'];
						$result[$current_section_name]['description'][$item['name']] = $current_subsection_label . ' ' . $item['label_ru'];
						$plottitle[$item['name']] = addslashes($item['index_code_ru'] . ' ' . $current_subsection_label . ' ' . $item['label_ru']);
						//$plottitle[$item['name']] = $item['index_code_ru'];
						foreach($chairs as $chair){
							if(isset($item['accumulative']) && $item['accumulative']){
								$plotdata[$item['name']][$chair['title_ru']] = (int)$chair[$item['name']];
							}else{
								$tmp = $chair[$item['name']];
								foreach($chair['versions'] as $version){
									if(isset($version['content']) && isset($version['content'][$item['name']])){
										$tmp += $version['content'][$item['name']];
									}
								}
								$plotdata[$item['name']][$chair['title_ru']] = (int)$tmp;
								unset($tmp);
							}							
						}
				}
			}	
		}

#массив с данными для таблицы (начало)
		$faculty_name = $db->colDocs->findOne(array('type'=>'faculty', 'uuid'=>$_POST['faculty']))['title_ru'].' ('.$chairCount.')';
		$heading = $faculty_name;
		
		foreach($chairs as $chair){
			foreach($items as $item){
				if(isset($item['pdf']) && $item['pdf']){
					switch($item['type'])
					{
						case 'section':
							$current_section_name = $item['name'];
							$result[$current_section_name]['data'][$chair['uuid']]['name'] = $chair['title_ru'];
						break;
						case 'subsection':
							//$current_subsection_label = $item['label_ru'];
						break;
						default:
							if(isset($item['accumulative']) && $item['accumulative']){
								$result[$current_section_name]['data'][$chair['uuid']][$item['name']] = (int)$chair[$item['name']];
							}else{
								$tmp = $chair[$item['name']];
								foreach($chair['versions'] as $version){
									if(isset($version['content']) && isset($version['content'][$item['name']])){
										$tmp += $version['content'][$item['name']];
									}
								}
								$result[$current_section_name]['data'][$chair['uuid']][$item['name']] = (int)$tmp;
								unset($tmp);
							}
							
					}
				}	
			}
		}
#массив с данными для таблицы (конец)

####### GET OUTPUT THROUGH FOREACH
		foreach($result as $part){ 
			$out['body'] .= '
<h3>'.$part['title'].'</h3>';
			foreach($part['description'] as $key => $value){
				if($key == "name") continue;
				$max = max($plotdata[$key]);
				if($max==0) $max = 1;
				$sorteddata = $plotdata[$key];
				arsort($sorteddata);
				$plot =  $chatrs->getBar($sorteddata, $plottitle[$key], 'По данным комплексного рейтинга РГПУ им. А.И. Герцена. rating.herzen.spb.ru', $key, $plotcolor, $plotheight, $max,'');
				$out['head'] .= $plot['head'];
				$out['body'] .= $plot['body'];		
				
			}			
			$out['body'] .= '<table>';
			foreach($part['data'] as $cells){
				$out['body'] .= '<tr>';
				foreach($cells as $key => $cell){
					if($key=="name") $out['body'] .= '<td class="first">'.$cell.'</td>';
					else{
						$out['body'] .= '<td title="'.$part['description'][$key].'">'.$cell.'</td>';
						
					}
				}
				$out['body'] .= '</tr>';
			}
			$out['body'] .='</table>';
//echo "<pre>";
//var_dump($items);
//var_dump($result);
//echo "</pre>";
//die;
		} 
####### GET OUTPUT THROUGH FOREACH

	}	
}
?><!DOCTYPE HTML>
<html lang="ru">
<head>
<meta charset="utf-8" />
<title>Рейтинг кафедр</title>
<link rel="stylesheet" href="/css/jquery-ui.css" />

<script src="/js/jquery-1.9.1.js"></script>
<script src="/js/jquery-ui.js"></script>
<script src="/js/jquery.form.js"></script>
<script src="/js/highcharts/highcharts.js"></script>
<script src="/js/highcharts/highcharts-more.js"></script>
<script src="/js/highcharts/modules/exporting.js"></script>
<script src="/js/bootstrap.min.js"></script>

<link type="text/css" rel="stylesheet" href="/css/bootstrap-combined.min.css">
<link rel="stylesheet" href="/css/base.css?rand=<?=rand();?>" />
<link rel="stylesheet" href="/css/member.css?rand=<?=rand();?>" />
<link rel="stylesheet" href="/css/member.form.css?rand=<?=rand();?>" />
<link rel="stylesheet" href="/css/admin.css" />
<link rel="stylesheet" href="/css/navigation__horizontal.css" />

<link rel="stylesheet" href="/css/colors.css">
<link rel="stylesheet" href="/css/buttons.css">
<link rel="stylesheet" href="/css/positions.css">
<style>
	h3{
		margin-top:40px;
	}
	table{
		margin:auto;
		width:100%;
		max-width:1200px;
	}
	table td{
		border:0;
		text-align:center;
		border-bottom:1px solid #555;
		padding:5px 10px 1px 10px;
		
	}
	td.first{
		text-align:left;
		font-weight:bold;
	}
</style>
  <script src="/js/auth.js"></script>
  <script>
    var language = "<?=$language?>";
    var pageType = "<?=$pageType?>";

  </script>
  <?php
  echo $out['head'];
  ?>
</head>

<body data-spy="scroll" data-target="#chapters">
<header class="header gradient">
  <div class="header__logo">
    <img src="/images/herzen.png" />
  </div>
  <div class="header__headings">
    <h1 class="header__headings__heading">
      Комплексный мониторинг кафедр
    </h1>
    <h2 class="header__headings__subheading">
      <small class="header__headings__subheading__subsubheading">
        Рейтинг.
      </small>
    </h2>
  </div>

  <div class="userbox userbox_parent_header">
    <div class="userbox__controls">
      <span class="userbox__controls__profile">профиль</span> / <span class="userbox__controls__logout">выход</span>
    </div>
    <div class="userbox__username">
        <span class="userbox__username__displayname" data-uuid="<?=$this->user->uuid?>"><?=$this->user->givenname?> <?=$this->user->lastname?></span>
    </div>
  </div>

  <div class="header__helper"></div>
</header>

<div>
	<?php
echo $role->userMenu($user->uuid);
	?>
</div>
<!-- CURRENT PAGE -->
<div class="all">

<div class="center" style="margin:0 30px;">
		<?=$faculties_menu?>
		<h2 style="margin-top: 50px;"><?=$heading?></h2>
		
		<?php
	echo $out['body'];
?>
</div>
</div>
</body>
</html>

